Bug 1215320 - [abrt] gnome-settings-daemon: g_bit_lock(): gnome-settings-daemon killed by SIGSEGV
Summary: [abrt] gnome-settings-daemon: g_bit_lock(): gnome-settings-daemon killed by S...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:20fb6bc49d86b3983f76500e75e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-25 12:04 UTC by N.Brack
Modified: 2016-07-19 13:52 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 13:52:03 UTC


Attachments (Terms of Use)
File: backtrace (35.89 KB, text/plain)
2015-04-25 12:04 UTC, N.Brack
no flags Details
File: cgroup (190 bytes, text/plain)
2015-04-25 12:04 UTC, N.Brack
no flags Details
File: core_backtrace (23.06 KB, text/plain)
2015-04-25 12:04 UTC, N.Brack
no flags Details
File: dso_list (17.27 KB, text/plain)
2015-04-25 12:04 UTC, N.Brack
no flags Details
File: environ (1.58 KB, text/plain)
2015-04-25 12:04 UTC, N.Brack
no flags Details
File: limits (1.29 KB, text/plain)
2015-04-25 12:04 UTC, N.Brack
no flags Details
File: maps (83.68 KB, text/plain)
2015-04-25 12:04 UTC, N.Brack
no flags Details
File: mountinfo (3.42 KB, text/plain)
2015-04-25 12:04 UTC, N.Brack
no flags Details
File: namespaces (85 bytes, text/plain)
2015-04-25 12:04 UTC, N.Brack
no flags Details
File: open_fds (1.37 KB, text/plain)
2015-04-25 12:04 UTC, N.Brack
no flags Details
File: proc_pid_status (992 bytes, text/plain)
2015-04-25 12:04 UTC, N.Brack
no flags Details

Description N.Brack 2015-04-25 12:04:07 UTC
Description of problem:
Description of problem:

When logging in, /usr/libexec/gnome-settings-daemon crashes.  Trying to start it manually as a user creates a segfault.

Version-Release number of selected component (if applicable):
gnome-settings-daemon-0:3.16.1-1.fc22.x86_64
dconf-0:0.24.0-1.fc22.x86_64

How reproducible:
Most of time on my computer.  Someone on the irc chat had everything fine.


Steps to Reproduce:
1. Log in
2. run /usr/libexec/gnome-settings-daemon

Actual results:
Segfault
The pesky dialog that cover all the screen to command you to log out.

Expected results:
The daemon running fine.


Additional info:
Console output: http://pastebin.com/WXMKwEVQ
GDB Backtrace: http://pastebin.com/LNjFypcu

Version-Release number of selected component:
gnome-settings-daemon-3.16.0-1.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: g_bit_lock
executable:     /usr/libexec/gnome-settings-daemon
global_pid:     2276
kernel:         3.19.3-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Tue 2014-11-11 00:34:35 CET, end at Wed 2015-04-22 19:48:30 CEST. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_bit_lock at gbitlock.c:214
 #1 g_variant_lock at gvariant-core.c:221
 #2 g_variant_fill_gvs at gvariant-core.c:399
 #3 gvs_variable_sized_array_needed_size at gvariant-serialiser.c:709
 #4 g_variant_serialiser_needed_size at gvariant-serialiser.c:1434
 #5 g_variant_ensure_size at gvariant-core.c:338
 #6 g_variant_fill_gvs at gvariant-core.c:400
 #7 gvs_variant_needed_size at gvariant-serialiser.c:1206
 #8 g_variant_serialiser_needed_size at gvariant-serialiser.c:1434
 #9 g_variant_ensure_size at gvariant-core.c:338

Comment 1 N.Brack 2015-04-25 12:04:11 UTC
Created attachment 1018725 [details]
File: backtrace

Comment 2 N.Brack 2015-04-25 12:04:12 UTC
Created attachment 1018726 [details]
File: cgroup

Comment 3 N.Brack 2015-04-25 12:04:13 UTC
Created attachment 1018727 [details]
File: core_backtrace

Comment 4 N.Brack 2015-04-25 12:04:15 UTC
Created attachment 1018728 [details]
File: dso_list

Comment 5 N.Brack 2015-04-25 12:04:16 UTC
Created attachment 1018729 [details]
File: environ

Comment 6 N.Brack 2015-04-25 12:04:18 UTC
Created attachment 1018730 [details]
File: limits

Comment 7 N.Brack 2015-04-25 12:04:20 UTC
Created attachment 1018731 [details]
File: maps

Comment 8 N.Brack 2015-04-25 12:04:21 UTC
Created attachment 1018732 [details]
File: mountinfo

Comment 9 N.Brack 2015-04-25 12:04:22 UTC
Created attachment 1018733 [details]
File: namespaces

Comment 10 N.Brack 2015-04-25 12:04:24 UTC
Created attachment 1018734 [details]
File: open_fds

Comment 11 N.Brack 2015-04-25 12:04:25 UTC
Created attachment 1018735 [details]
File: proc_pid_status

Comment 12 rh 2015-06-21 21:03:25 UTC
I have experienced this issue when using GfxTablet.

Is there anything how I can help to identify and fix it?

Comment 13 Fedora End Of Life 2016-07-19 13:52:03 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.